diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/test/lte-test-rlc-am-e2e.cc ns-3.33/src/lte/test/lte-test-rlc-am-e2e.cc
--- ns-3.32/src/lte/test/lte-test-rlc-am-e2e.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/test/lte-test-rlc-am-e2e.cc	2021-01-09 10:19:22.000000000 -0800
@@ -52,31 +52,31 @@
                      12221, 13332, 14443, 15554, 16665, 17776, 18887, 19998, 21109, 22220,
                      23331, 24442, 25553, 26664, 27775, 28886, 29997, 31108, 32219, 33330};
 
-  for ( uint32_t l = 0 ; l < (sizeof (losses) / sizeof (double)) ; l++ )
+  for ( uint32_t l = 0; l < (sizeof (losses) / sizeof (double)); l++ )
     {
-      for ( uint32_t s = 0 ; s < (sizeof (runs) / sizeof (uint32_t)) ; s++ )
+      for ( uint32_t s = 0; s < (sizeof (runs) / sizeof (uint32_t)); s++ )
         {
           for (uint32_t sduArrivalType = 0; sduArrivalType <= 1; ++sduArrivalType)
             {
               std::ostringstream name;
               name << " losses = " << losses[l] * 100 << "%; run = " << runs[s];
-              
+
               bool bulkSduArrival;
               switch (sduArrivalType)
                 {
-                case 0:
-                  bulkSduArrival = false;
-                  name << "; continuous SDU arrival";
-                  break;
-                case 1:
-                  bulkSduArrival = true;
-                  name << "; bulk SDU arrival";
-                  break;
-                default:
-                  NS_FATAL_ERROR ("unsupported option");
-                  break;
+                  case 0:
+                    bulkSduArrival = false;
+                    name << "; continuous SDU arrival";
+                    break;
+                  case 1:
+                    bulkSduArrival = true;
+                    name << "; bulk SDU arrival";
+                    break;
+                  default:
+                    NS_FATAL_ERROR ("unsupported option");
+                    break;
                 }
-              
+
               TestCase::TestDuration testDuration;
               if (l == 1 && s == 0)
                 {
@@ -88,7 +88,7 @@
                 }
               else
                 {
-                  testDuration = TestCase::TAKES_FOREVER;              
+                  testDuration = TestCase::TAKES_FOREVER;
                 }
               AddTestCase (new LteRlcAmE2eTestCase (name.str (), runs[s], losses[l], bulkSduArrival), testDuration);
             }
@@ -99,19 +99,18 @@
 static LteRlcAmE2eTestSuite lteRlcAmE2eTestSuite;
 
 LteRlcAmE2eTestCase::LteRlcAmE2eTestCase (std::string name, uint32_t run, double losses, bool bulkSduArrival)
-   : TestCase (name),
-     m_run (run),
-     m_losses (losses),
-     m_bulkSduArrival (bulkSduArrival),
-     m_dlDrops (0),
-     m_ulDrops (0)
+  : TestCase (name),
+    m_run (run),
+    m_losses (losses),
+    m_bulkSduArrival (bulkSduArrival),
+    m_dlDrops (0),
+    m_ulDrops (0)
 {
   NS_LOG_INFO ("Creating LteRlcAmTestingTestCase: " + name);
 }
 
 LteRlcAmE2eTestCase::~LteRlcAmE2eTestCase ()
-{
-}
+{}
 
 
 void
@@ -217,8 +216,8 @@
       sduStopTimeSeconds = sduStartTimeSeconds + 10;
     }
   sduArrivalTimeSeconds = (sduStopTimeSeconds - sduStartTimeSeconds) / numSdu;
-  
-  
+
+
 
   // Sending packets from RRC layer
   lteSimpleHelper->m_enbRrc->SetArrivalTime (Seconds (sduArrivalTimeSeconds));
@@ -238,13 +237,13 @@
   Simulator::Schedule (Seconds (sduStartTimeSeconds), &LteTestRrc::Start, lteSimpleHelper->m_enbRrc);
   Simulator::Schedule (Seconds (sduStopTimeSeconds), &LteTestRrc::Stop, lteSimpleHelper->m_enbRrc);
 
-  
-  double maxDlThroughput = (dlTxOppSizeBytes/(dlTxOppSizeBytes+4.0))*(dlTxOppSizeBytes/dlTxOpprTimeSeconds) * (1.0-m_losses);
+
+  double maxDlThroughput = (dlTxOppSizeBytes / (dlTxOppSizeBytes + 4.0)) * (dlTxOppSizeBytes / dlTxOpprTimeSeconds) * (1.0 - m_losses);
   const double statusProhibitSeconds = 0.020;
-  double pollFrequency = (1.0/dlTxOpprTimeSeconds)*(1-m_losses);
-  double statusFrequency = std::min (pollFrequency, 1.0/statusProhibitSeconds);
-  const uint32_t numNackSnPerStatusPdu = (ulTxOppSizeBytes*8 - 14)/10;
-  double maxRetxThroughput = ((double)numNackSnPerStatusPdu*(double)dlTxOppSizeBytes)*statusFrequency;
+  double pollFrequency = (1.0 / dlTxOpprTimeSeconds) * (1 - m_losses);
+  double statusFrequency = std::min (pollFrequency, 1.0 / statusProhibitSeconds);
+  const uint32_t numNackSnPerStatusPdu = (ulTxOppSizeBytes * 8 - 14) / 10;
+  double maxRetxThroughput = ((double)numNackSnPerStatusPdu * (double)dlTxOppSizeBytes) * statusFrequency;
   double throughput = std::min (maxDlThroughput, maxRetxThroughput);
   double totBytes = ((sduSizeBytes) * (sduStopTimeSeconds - sduStartTimeSeconds) / sduArrivalTimeSeconds);
 
@@ -291,10 +290,10 @@
     {
       margin = Seconds (30);
     }
-  Time stopTime = Seconds (std::max (sduStartTimeSeconds + totBytes/throughput, sduStopTimeSeconds)) + margin;
-  
-  NS_LOG_INFO ("statusFrequency=" << statusFrequency << ", maxDlThroughput=" << maxDlThroughput << ", maxRetxThroughput=" << maxRetxThroughput << ", totBytes=" << totBytes << ", stopTime=" << stopTime.GetSeconds () << "s");
-  
+  Time stopTime = Seconds (std::max (sduStartTimeSeconds + totBytes / throughput, sduStopTimeSeconds)) + margin;
+
+  NS_LOG_INFO ("statusFrequency=" << statusFrequency << ", maxDlThroughput=" << maxDlThroughput << ", maxRetxThroughput=" << maxRetxThroughput << ", totBytes=" << totBytes << ", stopTime=" << stopTime.As (Time::S));
+
   Simulator::Stop (stopTime);
   Simulator::Run ();
 
@@ -307,14 +306,14 @@
   NS_LOG_INFO ("Run = " << m_run);
   NS_LOG_INFO ("Loss rate (%) = " << uint32_t (m_losses * 100));
 
-  
-  NS_LOG_INFO ("RLC PDUs   TX: " << txEnbRlcPdus 
-               << "   RX: " << rxUeRlcPdus 
-               << "   LOST: " << m_dlDrops
-               << " (" << (100.0 * (double) m_dlDrops)/txEnbRlcPdus << "%)");
 
-  NS_TEST_ASSERT_MSG_EQ (txEnbRlcPdus,  rxUeRlcPdus + m_dlDrops, "lost RLC PDUs don't match TX + RX");  
-                          
+  NS_LOG_INFO ("RLC PDUs   TX: " << txEnbRlcPdus
+                                 << "   RX: " << rxUeRlcPdus
+                                 << "   LOST: " << m_dlDrops
+                                 << " (" << (100.0 * (double) m_dlDrops) / txEnbRlcPdus << "%)");
+
+  NS_TEST_ASSERT_MSG_EQ (txEnbRlcPdus,  rxUeRlcPdus + m_dlDrops, "lost RLC PDUs don't match TX + RX");
+
   NS_LOG_INFO ("eNB tx RRC count = " << txEnbRrcPdus);
   NS_LOG_INFO ("UE rx RRC count = " << rxUeRrcPdus);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/test/lte-test-ue-measurements.cc ns-3.33/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.32/src/lte/test/lte-test-ue-measurements.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/test/lte-test-ue-measurements.cc	2021-01-09 10:19:22.000000000 -0800
@@ -129,8 +129,7 @@
 }
 
 LteUeMeasurementsTestCase::~LteUeMeasurementsTestCase ()
-{
-}
+{}
 
 void
 LteUeMeasurementsTestCase::DoRun (void)
@@ -657,7 +656,7 @@
   NS_LOG_FUNCTION (this);
   bool hasEnded = m_itExpectedTime == m_expectedTime.end ();
   NS_TEST_ASSERT_MSG_EQ (hasEnded, true,
-                         "Reporting should have occurred at " << m_itExpectedTime->GetSeconds () << "s");
+                         "Reporting should have occurred at " << m_itExpectedTime->As (Time::S));
   hasEnded = m_itExpectedRsrp == m_expectedRsrp.end ();
   NS_ASSERT (hasEnded);
 }
@@ -687,7 +686,7 @@
       bool hasEnded = m_itExpectedTime == m_expectedTime.end ();
       NS_TEST_ASSERT_MSG_EQ (hasEnded, false,
                              "Reporting should not have occurred at "
-                             << Simulator::Now ().GetSeconds () << "s");
+                             << Simulator::Now ().As (Time::S));
       if (!hasEnded)
         {
           hasEnded = m_itExpectedRsrp == m_expectedRsrp.end ();
@@ -1247,7 +1246,7 @@
   NS_LOG_FUNCTION (this);
   bool hasEnded = m_itExpectedTime == m_expectedTime.end ();
   NS_TEST_ASSERT_MSG_EQ (hasEnded, true,
-                         "Reporting should have occurred at " << m_itExpectedTime->GetSeconds () << "s");
+                         "Reporting should have occurred at " << m_itExpectedTime->As (Time::S));
   hasEnded = m_itExpectedRsrp == m_expectedRsrp.end ();
   NS_ASSERT (hasEnded);
 }
@@ -1302,7 +1301,7 @@
       bool hasEnded = m_itExpectedTime == m_expectedTime.end ();
       NS_TEST_ASSERT_MSG_EQ (hasEnded, false,
                              "Reporting should not have occurred at "
-                             << Simulator::Now ().GetSeconds () << "s");
+                             << Simulator::Now ().As (Time::S));
       if (!hasEnded)
         {
           hasEnded = m_itExpectedRsrp == m_expectedRsrp.end ();
@@ -2074,7 +2073,7 @@
   NS_LOG_FUNCTION (this);
   bool hasEnded = m_itExpectedTime == m_expectedTime.end ();
   NS_TEST_ASSERT_MSG_EQ (hasEnded, true,
-                         "Reporting should have occurred at " << m_itExpectedTime->GetSeconds () << "s");
+                         "Reporting should have occurred at " << m_itExpectedTime->As (Time::S));
   hasEnded = m_itExpectedRsrp == m_expectedRsrp.end ();
   NS_ASSERT (hasEnded);
 }
@@ -2145,7 +2144,7 @@
       bool hasEnded = m_itExpectedTime == m_expectedTime.end ();
       NS_TEST_ASSERT_MSG_EQ (hasEnded, false,
                              "Reporting should not have occurred at "
-                             << Simulator::Now ().GetSeconds () << "s");
+                             << Simulator::Now ().As (Time::S));
       if (!hasEnded)
         {
           hasEnded = m_itExpectedRsrp == m_expectedRsrp.end ();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/test/test-lte-handover-delay.cc ns-3.33/src/lte/test/test-lte-handover-delay.cc
--- ns-3.32/src/lte/test/test-lte-handover-delay.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/test/test-lte-handover-delay.cc	2021-01-09 10:19:22.000000000 -0800
@@ -47,13 +47,13 @@
 
 using namespace ns3;
 
-NS_LOG_COMPONENT_DEFINE("LteHandoverDelayTest");
+NS_LOG_COMPONENT_DEFINE ("LteHandoverDelayTest");
 
 /**
  * \ingroup lte-test
  * \ingroup tests
  *
- * \brief Verifying that the time needed for handover is under a 
+ * \brief Verifying that the time needed for handover is under a
  * specified threshold.
  */
 
@@ -70,17 +70,17 @@
    * \param simulationDuration duration of the simulation
    */
   LteHandoverDelayTestCase (uint8_t numberOfComponentCarriers, bool useIdealRrc, Time handoverTime,
-      Time delayThreshold, Time simulationDuration)
-      : TestCase ("Verifying that the time needed for handover is under a specified threshold"),
-        m_numberOfComponentCarriers (numberOfComponentCarriers),
-        m_useIdealRrc (useIdealRrc),
-        m_handoverTime (handoverTime),
-        m_delayThreshold (delayThreshold),
-        m_simulationDuration (simulationDuration),
-        m_ueHandoverStart (Seconds (0)),
-        m_enbHandoverStart (Seconds (0))
-  {
-  }
+                            Time delayThreshold, Time simulationDuration)
+    : TestCase ("Verifying that the time needed for handover is under a specified threshold"),
+      m_numberOfComponentCarriers (numberOfComponentCarriers),
+      m_useIdealRrc (useIdealRrc),
+      m_handoverTime (handoverTime),
+      m_delayThreshold (delayThreshold),
+      m_simulationDuration (simulationDuration),
+      m_ueHandoverStart (Seconds (0)),
+      m_enbHandoverStart (Seconds (0))
+  {}
+
 private:
   virtual void DoRun (void);
 
@@ -93,7 +93,7 @@
    * \param targetCellId the target cell ID
    */
   void UeHandoverStartCallback (std::string context, uint64_t imsi,
-      uint16_t cellid, uint16_t rnti, uint16_t targetCellId);
+                                uint16_t cellid, uint16_t rnti, uint16_t targetCellId);
   /**
    * UE handover end OK callback function
    * \param context the context string
@@ -102,7 +102,7 @@
    * \param rnti the RNTI
    */
   void UeHandoverEndOkCallback (std::string context, uint64_t imsi,
-      uint16_t cellid, uint16_t rnti);
+                                uint16_t cellid, uint16_t rnti);
   /**
    * ENB handover start callback function
    * \param context the context string
@@ -112,7 +112,7 @@
    * \param targetCellId the target cell ID
    */
   void EnbHandoverStartCallback (std::string context, uint64_t imsi,
-      uint16_t cellid, uint16_t rnti, uint16_t targetCellId);
+                                 uint16_t cellid, uint16_t rnti, uint16_t targetCellId);
   /**
    * ENB handover end OK callback function
    * \param context the context string
@@ -121,7 +121,7 @@
    * \param rnti the RNTI
    */
   void EnbHandoverEndOkCallback (std::string context, uint64_t imsi,
-      uint16_t cellid, uint16_t rnti);
+                                 uint16_t cellid, uint16_t rnti);
 
   uint8_t m_numberOfComponentCarriers; ///< Number of component carriers
   bool m_useIdealRrc; ///< use ideal RRC?
@@ -137,8 +137,8 @@
 void
 LteHandoverDelayTestCase::DoRun ()
 {
-  NS_LOG_INFO ("-----test case: ideal RRC = " << m_useIdealRrc
-      << " handover time = " << m_handoverTime.GetSeconds () << "-----");
+  NS_LOG_INFO ("-----test case: ideal RRC = " << m_useIdealRrc << " handover time = "
+                                              << m_handoverTime.As (Time::S) << "-----");
 
   /*
    * Helpers.
@@ -198,18 +198,18 @@
 
   // Setup traces.
   Config::Connect ("/NodeList/*/DeviceList/*/LteUeRrc/HandoverStart",
-      MakeCallback (&LteHandoverDelayTestCase::UeHandoverStartCallback, this));
+                   MakeCallback (&LteHandoverDelayTestCase::UeHandoverStartCallback, this));
   Config::Connect ("/NodeList/*/DeviceList/*/LteUeRrc/HandoverEndOk",
-      MakeCallback (&LteHandoverDelayTestCase::UeHandoverEndOkCallback, this));
+                   MakeCallback (&LteHandoverDelayTestCase::UeHandoverEndOkCallback, this));
 
   Config::Connect ("/NodeList/*/DeviceList/*/LteEnbRrc/HandoverStart",
-      MakeCallback (&LteHandoverDelayTestCase::EnbHandoverStartCallback, this));
+                   MakeCallback (&LteHandoverDelayTestCase::EnbHandoverStartCallback, this));
   Config::Connect ("/NodeList/*/DeviceList/*/LteEnbRrc/HandoverEndOk",
-      MakeCallback (&LteHandoverDelayTestCase::EnbHandoverEndOkCallback, this));
+                   MakeCallback (&LteHandoverDelayTestCase::EnbHandoverEndOkCallback, this));
 
   // Prepare handover.
   lteHelper->AddX2Interface (enbNodes);
-  lteHelper->Attach (ueDev, enbDevs.Get(0));
+  lteHelper->Attach (ueDev, enbDevs.Get (0));
   lteHelper->HandoverRequest (m_handoverTime, ueDev, enbDevs.Get (0), enbDevs.Get (1));
 
   // Run simulation.
@@ -222,7 +222,7 @@
 
 void
 LteHandoverDelayTestCase::UeHandoverStartCallback (std::string context,
-    uint64_t imsi, uint16_t cellid, uint16_t rnti, uint16_t targetCellId)
+                                                   uint64_t imsi, uint16_t cellid, uint16_t rnti, uint16_t targetCellId)
 {
   NS_LOG_FUNCTION (this << context);
   m_ueHandoverStart = Simulator::Now ();
@@ -230,22 +230,23 @@
 
 void
 LteHandoverDelayTestCase::UeHandoverEndOkCallback (std::string context,
-    uint64_t imsi, uint16_t cellid, uint16_t rnti)
+                                                   uint64_t imsi, uint16_t cellid, uint16_t rnti)
 {
   NS_LOG_FUNCTION (this << context);
   NS_ASSERT (m_ueHandoverStart > Seconds (0));
   Time delay = Simulator::Now () - m_ueHandoverStart;
-  NS_LOG_DEBUG (this << " UE delay = " << delay.GetSeconds ());
-  NS_TEST_ASSERT_MSG_LT (delay.GetSeconds (), m_delayThreshold.GetSeconds (),
-      "UE handover delay is higher than the allowed threshold "
-      << "(ideal RRC = " << m_useIdealRrc
-      << " handover time = " << m_handoverTime.GetSeconds () << ")");
+
+  NS_LOG_DEBUG (this << " UE delay = " << delay.As (Time::S));
+  NS_TEST_ASSERT_MSG_LT (delay, m_delayThreshold,
+                         "UE handover delay is higher than the allowed threshold "
+                         << "(ideal RRC = " << m_useIdealRrc
+                         << " handover time = " << m_handoverTime.As (Time::S) << ")");
 }
 
 
 void
 LteHandoverDelayTestCase::EnbHandoverStartCallback (std::string context,
-    uint64_t imsi, uint16_t cellid, uint16_t rnti, uint16_t targetCellId)
+                                                    uint64_t imsi, uint16_t cellid, uint16_t rnti, uint16_t targetCellId)
 {
   NS_LOG_FUNCTION (this << context);
   m_enbHandoverStart = Simulator::Now ();
@@ -253,16 +254,17 @@
 
 void
 LteHandoverDelayTestCase::EnbHandoverEndOkCallback (std::string context,
-    uint64_t imsi, uint16_t cellid, uint16_t rnti)
+                                                    uint64_t imsi, uint16_t cellid, uint16_t rnti)
 {
   NS_LOG_FUNCTION (this << context);
   NS_ASSERT (m_enbHandoverStart > Seconds (0));
   Time delay = Simulator::Now () - m_enbHandoverStart;
-  NS_LOG_DEBUG (this << " eNodeB delay = " << delay.GetSeconds ());
-  NS_TEST_ASSERT_MSG_LT (delay.GetSeconds (), m_delayThreshold.GetSeconds (),
-      "eNodeB handover delay is higher than the allowed threshold "
-      << "(ideal RRC = " << m_useIdealRrc
-      << " handover time = " << m_handoverTime.GetSeconds () << ")");
+
+  NS_LOG_DEBUG (this << " eNodeB delay = " << delay.As (Time::S));
+  NS_TEST_ASSERT_MSG_LT (delay, m_delayThreshold,
+                         "eNodeB handover delay is higher than the allowed threshold "
+                         << "(ideal RRC = " << m_useIdealRrc
+                         << " handover time = " << m_handoverTime.As (Time::S) << ")");
 }
 
 
@@ -278,7 +280,7 @@
 {
 public:
   LteHandoverDelayTestSuite ()
-      : TestSuite ("lte-handover-delay", TestSuite::SYSTEM)
+    : TestSuite ("lte-handover-delay", TestSuite::SYSTEM)
   {
     //LogComponentEnable ("LteHandoverDelayTest", LOG_PREFIX_TIME);
     //LogComponentEnable ("LteHandoverDelayTest", LOG_DEBUG);
@@ -287,23 +289,23 @@
     // HANDOVER DELAY TEST CASES WITH IDEAL RRC (THRESHOLD = 0.005 sec)
 
     for (Time handoverTime = Seconds (0.100); handoverTime < Seconds (0.110);
-        handoverTime += Seconds (0.001))
+         handoverTime += Seconds (0.001))
       {
         // arguments: useIdealRrc, handoverTime, delayThreshold, simulationDuration
         AddTestCase (
-            new LteHandoverDelayTestCase (1, true, handoverTime, Seconds (0.005),
-                Seconds (0.200)), TestCase::QUICK);
+          new LteHandoverDelayTestCase (1, true, handoverTime, Seconds (0.005),
+                                        Seconds (0.200)), TestCase::QUICK);
       }
 
     // HANDOVER DELAY TEST CASES WITH REAL RRC (THRESHOLD = 0.020 sec)
 
     for (Time handoverTime = Seconds (0.100); handoverTime < Seconds (0.110);
-        handoverTime += Seconds (0.001))
+         handoverTime += Seconds (0.001))
       {
         // arguments: useIdealRrc, handoverTime, delayThreshold, simulationDuration
         AddTestCase (
-            new LteHandoverDelayTestCase (1, false, handoverTime, Seconds (0.020),
-                Seconds (0.200)), TestCase::QUICK);
+          new LteHandoverDelayTestCase (1, false, handoverTime, Seconds (0.020),
+                                        Seconds (0.200)), TestCase::QUICK);
       }
   }
 } g_lteHandoverDelayTestSuite; ///< the test suite
